qpid::log::Options Struct Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
qpid::log::Options Struct Reference

Logging options for config parser. More...

`#include <qpid/log/Options.h>`

List of all members.

## Public Member Functions
| Options (const std::string &argv0_=std::string(), const std::string &name_="Logging options")
| Pass argv[0] for use in syslog output.
| Options (const Options &)
Options & | operator= (const Options &)
void | parse (int argc, char const *const *argv, const std::string &configfile=std::string(), bool allowUnknown=false)
| Parses options from argc/argv, environment variables and config file.
boost::program_options::options_description_easy_init | addOptions ()
## Public Attributes
std::string | argv0
std::string | name
std::vector< std::string > | selectors
bool | time
bool | level
bool | thread
bool | source
bool | function
bool | hiresTs
bool | trace
std::string | prefix
std::auto_ptr< SinkOptions > | sinkOptions

## Detailed Description

Logging options for config parser.

## Constructor & Destructor Documentation

qpid::log::Options::Options | ( | const std::string & | argv0_ = `std::string()`,
|  | const std::string & | name_ = `"Logging options"`
| ) |  |

Pass argv[0] for use in syslog output.

qpid::log::Options::Options | ( | const Options & |  | ) |

## Member Function Documentation

boost::program_options::options_description_easy_init qpid::Options::addOptions | ( |  | ) | `[inline, inherited]`

Definition at line 154 of file Options.h.

Options& qpid::log::Options::operator= | ( | const Options & |  | ) |

void qpid::Options::parse | ( | int | argc,
|  | char const *const * | argv,
|  | const std::string & | configfile = `std::string()`,
|  | bool | allowUnknown = `false`
| ) |  | `[inherited]`

Parses options from argc/argv, environment variables and config file.

Note the filename argument can reference an options variable that is updated by argc/argv or environment variable parsing.

## Member Data Documentation

std::string qpid::log::Options::argv0

Definition at line 39 of file Options.h.

bool qpid::log::Options::function

Definition at line 42 of file Options.h.

bool qpid::log::Options::hiresTs

Definition at line 42 of file Options.h.

bool qpid::log::Options::level

Definition at line 42 of file Options.h.

std::string qpid::log::Options::name

Definition at line 40 of file Options.h.

std::string qpid::log::Options::prefix

Definition at line 44 of file Options.h.

std::vector<std::string> qpid::log::Options::selectors

Definition at line 41 of file Options.h.

std::auto_ptr<SinkOptions> qpid::log::Options::sinkOptions

Definition at line 45 of file Options.h.

bool qpid::log::Options::source

Definition at line 42 of file Options.h.

bool qpid::log::Options::thread

Definition at line 42 of file Options.h.

bool qpid::log::Options::time

Definition at line 42 of file Options.h.

bool qpid::log::Options::trace

Definition at line 43 of file Options.h.

The documentation for this struct was generated from the following file:

- qpid/log/Options.h